--
-- This file is part of TALER
-- Copyright (C) 2025 Taler Systems SA
--
-- TALER is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 3, or (at your option) any later version.
--
-- TALER is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- TALER; see the file COPYING.  If not, see <http://www.gnu.org/licenses/>
--

-- @file merchant-0018.sql
-- @brief Tables for statistics
-- @author Christian Grothoff


BEGIN;

-- Check patch versioning is in place.
SELECT _v.register_patch('merchant-0018', NULL, NULL);

SET search_path TO merchant;

-- See #9865: inventory locks should not block product or even instance DELETION.
-- So we need to add the "ON DELETE CASCADE" after all. 
ALTER TABLE merchant_inventory_locks
  DROP CONSTRAINT merchant_inventory_locks_product_serial_fkey,
  ADD CONSTRAINT merchant_inventory_locks_product_serial_fkey
    FOREIGN KEY (product_serial) REFERENCES merchant_inventory(product_serial)
    ON DELETE CASCADE;

COMMIT;
